# Uses of Class
org.eclipse.jface.resource.DeviceResourceException

Packages that use DeviceResourceException
Package
Description
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.

## Uses of DeviceResourceException in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that throw DeviceResourceException
Modifier and Type
Method
Description
`protected Object`
DeviceResourceManager.`allocate(DeviceResourceDescriptor descriptor)`
`protected Object`
LocalResourceManager.`allocate(DeviceResourceDescriptor descriptor)`
`abstract Color`
ColorDescriptor.`createColor(Device device)`
Returns the Color described by this descriptor.
`abstract Font`
FontDescriptor.`createFont(Device device)`
Creates the Font described by this descriptor.
`final Object`
ColorDescriptor.`createResource(Device device)`
`final Object`
FontDescriptor.`createResource(Device device)`
`Object`
ImageDescriptor.`createResource(Device device)`